Subject: Re: [PATCH] Add window divider faces to NS (bug#29353)

From: Alan Third <[email-masked]>
Date: Sun, 19 Nov 2017 23:23:01 +0000

On Sun, Nov 19, 2017 at 12:40:09PM -0800, Keith David Bershatsky wrote:
> The only issue I observed with the patch applied is when a user
> selects a divider width of 3 for right and bottom. In that
> situation, the bottom divider is entirely one color --
> window-divider face.

I can replicate this. It’s because I copied the code verbatim from
xterm.c, and it does a comparison against 3 instead of 2, so this
might be a bug in X builds too.

> And, the right divider is 2 pixels in the window-divider-first-pixel
> face and 1 pixel in the window-divider-last-pixel face. When there
> are exactly 3 pixels, both dividers should have the rainbow of all
> three available colors in the applicable order.

I can’t replicate this. I definitely see three colours in the vertical
divider.

modified   src/nsterm.m
@@ -3202,7 +3202,7 @@ Note that CURSOR_WIDTH is meaningful only for (h)bar cursors.
       [ns_lookup_indexed_color(color_last, f) set];
       NSRectFill(NSMakeRect (x1 - 1, y0, 1, y1 - y0));
     }
-  else if (x1 - x0 > y1 - y0 && y1 - y0 > 3)
+  else if (x1 - x0 > y1 - y0 && y1 - y0 > 2)
     /* Horizontal.  */
     {
       [ns_lookup_indexed_color(color_first, f) set];

-- 
Alan Third